Get a job
curl --request GET \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"waitingReason": "paused",
"phase": "<string>",
"progress": {
"done": 123,
"total": 123
},
"counters": {},
"errorCount": 123,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"apiKey": {
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"canCancel": true,
"summary": {
"stage": "inspect",
"worksheets": [
"<string>"
],
"header": [
"<string>"
],
"sample": [
[
"<string>"
]
],
"rows": 1
},
"state": "failed",
"error": {
"code": "<string>",
"params": {}
}
}{
"type": "<string>",
"status": 123,
"code": "core.job_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Jobs
Get a job
Reads a job’s state and progress.
GET
/
api
/
v1
/
orgs
/
{orgId}
/
core
/
jobs
/
{jobId}
Get a job
curl --request GET \
--url https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.readyforcommerce.com/api/v1/orgs/{orgId}/core/jobs/{jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "<string>",
"waitingReason": "paused",
"phase": "<string>",
"progress": {
"done": 123,
"total": 123
},
"counters": {},
"errorCount": 123,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"apiKey": {
"name": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"canCancel": true,
"summary": {
"stage": "inspect",
"worksheets": [
"<string>"
],
"header": [
"<string>"
],
"sample": [
[
"<string>"
]
],
"rows": 1
},
"state": "failed",
"error": {
"code": "<string>",
"params": {}
}
}{
"type": "<string>",
"status": 123,
"code": "core.job_not_found",
"requestId": "<string>",
"title": "<string>",
"params": {},
"errors": [
{
"location": "<string>",
"pointer": "<string>",
"code": "<string>",
"params": {}
}
]
}Authorizations
Response
OK
- Option 1
- Option 2
Was this page helpful?